<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$csrf_key = 'add_entry';

if (f('save') && $form->check($csrf_key) && !$form->hasErrors())
{
  if ($form->check($csrf_key) && !$form->hasErrors())
  {
    $entry = new Entry;
    $entry_date_format = date_create_from_format(
      "d/m/Y", f('entry_date'))->format("Y-m-d");
    $entry->add([
      'kind' => 'Retour de location / prêt',
      'equipment_number' => (int) f('equipment_number'),
      'equipment_id' => f('equipment_id'),
      'entry_date' => $entry_date_format,
      'additional_comment' => f('additional_comment'),
    ]);
  	Utils::redirect(PLUGIN_URL . 'entrees/index.php');
  }
}

$eqmt = new Equipment;
$eqmts_by_cat = $eqmt->listAllByCategory();

$date = new \DateTime;
$date->setTimestamp(time());
$default_date = $date;

$default_number = "1";
$default_comment = "";

$cancel_link = PLUGIN_URL . 'entrees/index.php';
$legend_part = "en retour de location / prêt";
$tpl_materiel_name = "retour";

$tpl->assign(compact(
  'eqmts_by_cat', 'default_date', 'default_number',
  'default_comment', 'cancel_link', 'legend_part',
  'tpl_materiel_name', 'csrf_key'
));

$tpl->display(PLUGIN_ROOT . '/templates/entrees/ajouter_entree.tpl');
